exercises/models/config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  # BEGIN
  root "articles#index"
  resources "articles", only: "show"
  # END
end

exercises/models/app/models/application_record.rb
# frozen_string_literal: true

class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

exercises/models/app/models/article.rb
# frozen_string_literal: true

class Article < ApplicationRecord
end

exercises/models/app/controllers/application_controller.rb
# frozen_string_literal: true

class ApplicationController < ActionController::Base
end

exercises/models/app/controllers/articles_controller.rb
# frozen_string_literal: true

class ArticlesController < ApplicationController
  def index
    @articles = Article.all
  end

  def show
    @article = Article.find params[:id]
  end
end

exercises/models/app/helpers/application_helper.rb
# frozen_string_literal: true

module ApplicationHelper
end

exercises/models/app/helpers/articles_helper.rb
# frozen_string_literal: true

module ArticlesHelper
end

exercises/models/app/views/articles/index.html.erb
<h1>Articles</h1>

<h2>List:</h2>
<ul>
  <% @articles.each do |article| %>
    <%= link_to(article_path article.id) do %>
      <li><h3><%= article.title %><h3></li>
    <% end %>
  <% end %>
</ul>

exercises/models/app/views/articles/show.html.erb
<h2><%= @article.title %></h2>
<p><%= @article.body %></p>

exercises/models/app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Models</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all' %>
  </head>

  <body>
    <%= yield %>
  </body>
</html>